image: jmchr/opengl-test-env:latest

# Define the stages of your pipeline
stages:
  - build

variables:
  VCPKG_ROOT: "/vcpkg"

build:
  stage: build
  script:
    # Set the VCPKG_TOOLCHAIN environment variable
    - export VCPKG_TOOLCHAIN=$VCPKG_ROOT/scripts/buildsystems/vcpkg.cmake
    - cmake -B build -S . -G Ninja -DCMAKE_TOOLCHAIN_FILE=$VCPKG_TOOLCHAIN
    - cmake --build build